-----BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA256
+Hash: SHA1
-AUX libpcap-0.8.1-fPIC.patch 298 RMD160 4cf97341a5da39c97553871312c9381f30457bdb SHA1 e63657730f2a1d2f04ca50947ea01485f1d5994e SHA256 cd4cbc5aa3ba94095e85cf026b015f20af9ed77c05b529b2cb902e5ba365a7c3
-AUX libpcap-0.9.3-whitespace.diff 679 RMD160 70ccf92874b1665253608ffeffa7de89c2af48d7 SHA1 a50d6467d5805a53809e9fdcc197377b76d21559 SHA256 4ff701485da6f577980048b9b91810ba7aa529c3be021dea30c8205b0a130606
-AUX libpcap-0.9.8-arptype-65534.patch 870 RMD160 be267ff32f5a59d0e8028da030131605beb50c49 SHA1 0fb37d5925b51f3beaae1dc66b5db4553d987cc9 SHA256 854e08c83f8615a4e5d12e3c2d0130ca23e38cd8216105495cf8f2968f2bb0a4
-AUX libpcap-0.9.8-largefile.patch 202 RMD160 4ac6ffcc15c8c80ae6f1eb2586f03f92d4ecf348 SHA1 d3caaaa062518ed636cc60715332aaa2e0deb0d8 SHA256 ab377d1d9ed24e5eb4fda8db55cb93cdab0f4844ea7f0e098075eac29417e9f7
-AUX libpcap-0.9.8-pcap_compile.patch 1487 RMD160 f801931d825896d31af6828668841787016dd47c SHA1 ee99e218f8d715f00d1f4d56497fd6dbb5747dbf SHA256 5665ae26fd002dfdd5289bbaac2c42d1b5e9f99fabc608cf1b76517ab510a804
-AUX libpcap-1.0.0-LDFLAGS.patch 410 RMD160 fe677c8b5e7c9bd62eeaad6e4baa733e10e1b4b2 SHA1 2bb315b365f78405a2cd7be32249bbc20f956e26 SHA256 ea3fffb83db4878bd6086e580e669eda4754df80dae9fef1b36ba444819068bd
-AUX libpcap-1.0.0-bindir.patch 508 RMD160 565810d2b8a46fb7c3c47c5eeca29ac7e82e1289 SHA1 5ea64bb60ffed019a213bc943634cbac2f3d3411 SHA256 677269478a1c4a7cb786fefb3353d565d8ea032b03aa40b9d771cf702152d6f4
-AUX libpcap-1.0.0-cross-linux.patch 1079 RMD160 76d9460f8cd4d022cd5e50ec23c95599f68b161e SHA1 b33c25ee785123a09347da4db5b04e8e63e2093a SHA256 2946f4336a40227caa1904e243cf388aa7ef70926aea881748dd7f3f9305bcfb
-AUX libpcap-1.0.0-freebsd-pic.patch 210 RMD160 e208e84b89c43f890a744d782ab4162db4c10577 SHA1 d83140682f0f3d748d96cd8d2befb20297fd78bf SHA256 b2772a18e81d455e5adccc3fdd1eaccef9047c737c1749d20ee850defc633dc7
-AUX libpcap-1.0.0-install-bindir.patch 493 RMD160 2e30779a1b45cbbeaeec98e2d9b61cd896114d86 SHA1 b950a7c5157652d8e99ca09c58682e1f299038f1 SHA256 17d4a14dbf8a5d12570f5b72cf5b5848988d64a2b60e4dd7a3363daea92b9a5b
-AUX libpcap-1.0.0-install-headers.patch 1447 RMD160 c68db41d4417a57c4b51613699b748a4524781c3 SHA1 83c5496eed2e3f4cc262aa6613596d80883eb9d2 SHA256 4e913dd0a4d460fdf5d57c4ebc67cc379178dcd06c8ef33422661c174ffd7e27
-AUX libpcap-1.0.0-optional-bluetooth.patch 5394 RMD160 df5093800385df09e5a0f9a22d359c5e04269a5f SHA1 bdeb0237b720e40585c463fabc3a305f99170024 SHA256 53b01de2108b00c74e2eda513ae8f5253e2b7d960cb8ab22494cbe0631cb3056
-AUX libpcap-1.0.0-whitespace.patch 679 RMD160 6a62d2e5737a8627e43b853a687b31c5b4275b96 SHA1 49fa8750e8fe92c13bbb5f111c8d78b173313c4a SHA256 684b4407b3055336478507f7642bd4f83cf10f3cd1d0fd41971cad1f1a12b6bb
-AUX libpcap-1.0.1-autoconf.patch 560 RMD160 84f326621b6a3de48516a449c5a9a48b95a99874 SHA1 39edc57982ea1a303d212a317f4258e909f0359f SHA256 cdd38a908723e272d834eda1d032f97e2b890949c1a24e24be6a178815258b27
-AUX libpcap-1.0.1_pre20090708-libnl-automagic.patch 1018 RMD160 75c7caeca86951426b0fc140cc8919e0215a8471 SHA1 7fb4a68bfcd1f884907ca2e71c9340eff21b4548 SHA256 8b29e765a244161545f02ea702f555303a9914ccde73548258d79900691778f5
-AUX libpcap-1.0.1_pre20090812-poll-cpu-usage.patch 1060 RMD160 b4821a0b146dda4ff8cce822e5d86f3196ab0894 SHA1 1b017ce2e2edc978b757c886326da6cc7f6898d2 SHA256 44776d07b759061f27be568f1fef7eb3400f1a10ad11fe14557f676a0dbd04b9
AUX libpcap-1.1-cross-linux.patch 1050 RMD160 ca856c3f295752de47f3d813c324720960ba5fd0 SHA1 7b33a9ec9c65f5e108cbcb3855f0b954cfb75210 SHA256 b1b6375abe00207c4ea69d0e7150eb2ed080eff4b7a1112e69af587f2004474a
AUX libpcap-1.1.1-ignore-ENODEV.patch 1363 RMD160 ddbd33d8aa610d9f3653bfaa9bad5c29ae3097ca SHA1 40532cee84b5838c57468e02056b42e2a1721e5a SHA256 1fa73b0ce9552352df0024af5172433fbdd3fb856b6aa53b90ceb8a31fded00c
-AUX libpcap-cross-linux.patch 1114 RMD160 e76fd1ea94d34e8533416c476d95166ad13579ec SHA1 0853cb1cf102c6d9b41d22b4c62b0e1bac6d73a8 SHA256 4b3fe1e2b7ecefbf82e20120f8c3bf9c5050cb7ccc1e0be77a04af5ef7cbb459
-DIST libpcap-0.9.8.tar.gz 520526 RMD160 2f5ecbc9840d8bd646798c977b7a02abe191311e SHA1 11dfe67cfc1c279c7346d626a99ad4ba90621028 SHA256 c4158398de4411627b14f52626e4cef39443f4d5c1b9bce8c07f8526d18362f9
-DIST libpcap-1.0.0.tar.gz 524273 RMD160 20857fe6af5dc70fffb19da46e0fee908f55b3ea SHA1 9893654027ae11033d785045ff35583da43fe8fa SHA256 a214c4e1d7e22a758f66fe1d08f0ce41c3ba801a4c13dd1188e1e38288ac73c0
-DIST libpcap-1.0.1-20090812.tar.gz 574616 RMD160 60cab9e2a00ec5124823958c65fc00ff760f9eb2 SHA1 f7c319e94a6504c60f2774ffae6afe6a31bbfdd4 SHA256 149d256b66f5cea5362858cdcac678f578e5d2e251b686ed8da09eb56dfaee6b
+AUX libpcap-1.1.1-libidn2.patch 8526 RMD160 03e1a6f455d61556a5d4c1b2ea0afe8744548dee SHA1 b74a071d6c032ebabd801c90225daaf03cbea37d SHA256 3ab0c44a84d11353a0d4445a459fbdb8700c2fdb86f6cef8468f619256a63432
DIST libpcap-1.1.1.tar.gz 581984 RMD160 760159c594cc995c9e05c0cd8637a02a3b2725e2 SHA1 18581af5e78a40b7b2c9a6cd8ce40e7cb1cd9c63 SHA256 508cca15547e55d1318498b838456a21770c450beb2dc7d7d4a96d90816e5a85
-EBUILD libpcap-0.9.8-r2.ebuild 1854 RMD160 e2bb71638d26607360ef510a6025c21c3e6e1137 SHA1 f3e93b3c741a613e94d05c2a990cd0ff8b89f3ad SHA256 3dd3295b1f111bd5b114a2015f401759fb2691be4b70f5ec11ac8b46f443f8a3
-EBUILD libpcap-1.0.0-r2.ebuild 1674 RMD160 18e38fbe6225d6d34a2f34477f1afa06eaf41bef SHA1 cf014ccdbcce9b5ea35b46f6a9fd722315015b87 SHA256 bff80c44f788db24c63dd5a574b29642adb4030a47ea4d87c9d934bd5e412abd
-EBUILD libpcap-1.0.1_pre20090812.ebuild 1912 RMD160 b152a756c7043fc6b698c5c3230597d4e1002cd7 SHA1 14b4a54a46f72a2fd4b4a766dac2a8129239b1b3 SHA256 469a756c556254cd6db97c803318ab10033c820b66f1c01a03fcd377e700e315
-EBUILD libpcap-1.1.1-r1.ebuild 1659 RMD160 646c4fde06c766ccb217ae4cf54b3b2f5549d2b3 SHA1 74e662d36ff88cbf38acd99b1f00f1de41eef087 SHA256 66cfe21675f40beaed0c7eae1993ace0dff0815ed187b2c524cb36f1221b73d9
+EBUILD libpcap-1.1.1-r1.ebuild 1504 RMD160 5c535470ff0d85cf264414f6a58d7e538761565a SHA1 722004f4ea7e698e2978921b47d9162028e13e02 SHA256 9d7fe7e36764a0ecb6d76d07b4028b3458159b31bc424e915ff3192c1951463d
EBUILD libpcap-1.1.1.ebuild 1598 RMD160 f327dbf79b132e967b4e1e14c8c25c77d9752af0 SHA1 ff1b944437d9626e2b63f59e299b7b7d38e3a83e SHA256 6b1f7a4d1b35e12d952a0e5e996bfb37ea1a7b71e81a4c2f3f92e297103e43a0
MISC ChangeLog 20430 RMD160 3fb760b0a8fd152d9e042a66e52f1f9db507378d SHA1 1b4e1761faa4cc16fe898434ef4d5ae93809f77f SHA256 c8620d7c3e5592a458f7ee0ebaee54cbbe2ad6172cb2161eb37078e805c438c2
MISC metadata.xml 388 RMD160 3b1443ce61438e34f2f95c0f5cc30a084d6f0449 SHA1 2a2b22d69ff3531819eb0fb9878bb43ee2ca93fd SHA256 0b03dfcc45267fcf74372c8a6cebe9df940147c62c8c4fb6ef47fc9e34e7dce0
-----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.17 (GNU/Linux)
+Version: GnuPG v2.0.18 (GNU/Linux)
-iF4EAREIAAYFAk5DQAwACgkQaC/OocHi7JZxXwD+L+fhX1uwXj2AdSaPWfOVhrF6
-vivv+MX8nToBRK3m6QABAJhXZSd9iIAkW9YW53FThGIp8nYJuZ+L60SmyD+b0Vam
-=A/l1
+iQIcBAEBAgAGBQJOax8pAAoJEOSiRoyO7jvoaOsP/iucV9nIxAZe97TQCzhG7HVL
+NTHe49iVajgoNLmTSQDr+7zW82VqcFiLebr6IPsE+ZxDCqAW/sLSHPjR1sqw+TFv
+ZGn4T5krQsU1GpKs65BWLjaglZ8AKSbrYXdmrW1CmibS8lyN70QqkYVwDO0neAzn
+hcl7sT/xS7Tq8HtkVwrVembKMVPm9KIsELzM2K+ar8Z0jhtjKNj7XAYPAz8tFQVk
+KUamYCELxlDVqHm3f3XEGsbbpmxWEO3vkFJXYkFr/gX+Cr3DIEK5B2b5noEofUUT
+4EVPXhjMDddbNlLvPt7QgAIuExi7x7Xszbksg+WTt9x2gFB608B/ejuyzs2dUp08
+RYrcWy3ud0bY2IWqWx7LO38ddHMlCTXJ9W6JEgWB664jveFM/P60r+TriD4oTFJl
+NNgIKLir7nQpRAa+F5PdO4GloPWMqfP85yqF8ZKbjQN8tKKPMd0nxLMNpvgbwAdh
+X38UMwQd3xJylOjsP8qpROxAC1YSMrpAV8saY/cvs7oOynIVQoQ7D6tngL+UDnja
+IMlFcEbWMnmnEQBTgXtj8TqCmlLVi4UH4Nffv0av5KVxrYxbcQN/vThcbnZcUjJl
+ry6XYZ9+fPWzXBZ9P+VIBskqpvAYbjnFDkahCb1xuzGyKDAeS6Q5Fxjq0Mu2XIA4
+PH6d5pL1jdeW2+ey5Rpc
+=hED8
-----END PGP SIGNATURE-----
+++ /dev/null
---- Makefile.in 2004-01-03 12:51:50.914715352 +0000
-+++ Makefile.in 2004-01-03 13:04:17.524952464 +0000
-@@ -48,7 +48,7 @@
- LIBS = @V_LIBS@
-
- # Standard CFLAGS
--CFLAGS = $(CCOPT) $(INCLS) $(DEFS)
-+CFLAGS = $(CCOPT) $(INCLS) $(DEFS) -fPIC
-
- INSTALL = @INSTALL@
- INSTALL_PROGRAM = @INSTALL_PROGRAM@
+++ /dev/null
-diff --exclude='*~' -Naur libpcap-0.9.3.orig/pcap.h libpcap-0.9.3/pcap.h
---- libpcap-0.9.3.orig/pcap.h 2005-09-11 16:43:56.000000000 -0300
-+++ libpcap-0.9.3/pcap.h 2005-09-11 16:45:06.000000000 -0300
-@@ -38,13 +38,13 @@
- #define lib_pcap_h
-
- #if defined(WIN32)
-- #include <pcap-stdinc.h>
-+#include <pcap-stdinc.h>
- #elif defined(MSDOS)
-- #include <sys/types.h>
-- #include <sys/socket.h> /* u_int, u_char etc. */
-+#include <sys/types.h>
-+#include <sys/socket.h> /* u_int, u_char etc. */
- #else /* UN*X */
-- #include <sys/types.h>
-- #include <sys/time.h>
-+#include <sys/types.h>
-+#include <sys/time.h>
- #endif /* WIN32/MSDOS/UN*X */
-
- #ifndef PCAP_DONT_INCLUDE_PCAP_BPF_H
+++ /dev/null
-Source: upstream developer Guy Harris
-https://www.wireshark.org/lists/wireshark-users/200806/msg00206.html
-Reason: avoid messages: arptype 65534 not supported by libpcap - falling back to cooked socket.
-
-Index: pcap-linux.c
-===================================================================
-RCS file: /tcpdump/master/libpcap/pcap-linux.c,v
-retrieving revision 1.148
-diff -c -r1.148 pcap-linux.c
-*** pcap-linux.c 14 Apr 2008 21:04:51 -0000 1.148
---- pcap-linux.c 24 Jun 2008 06:43:49 -0000
-***************
-*** 1539,1544 ****
---- 1539,1555 ----
- handle->linktype = DLT_LINUX_LAPD;
- break;
-
-+ #ifndef ARPHRD_NONE
-+ #define ARPHRD_NONE 0xFFFE
-+ #endif
-+ case ARPHRD_NONE:
-+ /*
-+ * No link-layer header; packets are just IP
-+ * packets, so use DLT_RAW.
-+ */
-+ handle->linktype = DLT_RAW;
-+ break;
-+
- default:
- handle->linktype = -1;
- break;
+++ /dev/null
---- configure.in.orig 2008-04-02 03:15:24.000000000 +1100
-+++ configure.in 2008-04-02 03:15:45.000000000 +1100
-@@ -786,6 +786,8 @@
-
- esac
-
-+AC_SYS_LARGEFILE
-+
- AC_PROG_RANLIB
-
- AC_LBL_DEVEL(V_CCOPT)
+++ /dev/null
-Source: upstream ...
-> revision 1.291
-> date: 2007-10-26 00:44:56 +0000; author: guy; state: Exp; lines: +13 -1
-> Re-initialize the table of used registers, and the current register,
-> before compiling an expression; pcap_compile() can be called more than
-> once, and some registers can now be allocated and not freed in the
-> process of code generation (for example, the register allocated to hold
-> the length of a radiotap header, which can't be freed until we're
-> finished generating all the code).
-
-Index: gencode.c
-===================================================================
-RCS file: /tcpdump/master/libpcap/gencode.c,v
-retrieving revision 1.290
-retrieving revision 1.291
-diff -c -r1.290 -r1.291
-*** gencode.c 5 Oct 2007 01:40:14 -0000 1.290
---- gencode.c 26 Oct 2007 00:44:56 -0000 1.291
-***************
-*** 134,139 ****
---- 134,140 ----
-
- static void init_linktype(pcap_t *);
-
-+ static void init_regs(void);
- static int alloc_reg(void);
- static void free_reg(int);
-
-***************
-*** 369,374 ****
---- 370,376 ----
- n_errors = 0;
- root = NULL;
- bpf_pcap = p;
-+ init_regs();
- if (setjmp(top_ctx)) {
- lex_cleanup();
- freechunks();
-***************
-*** 6045,6050 ****
---- 6047,6062 ----
- static int curreg;
-
- /*
-+ * Initialize the table of used registers and the current register.
-+ */
-+ static void
-+ init_regs()
-+ {
-+ curreg = 0;
-+ memset(regused, 0, sizeof regused);
-+ }
-+
-+ /*
- * Return the next free register.
- */
- static int
+++ /dev/null
-=== modified file 'Makefile.in'
---- Makefile.in 2008-11-04 18:53:20 +0000
-+++ Makefile.in 2008-11-04 18:53:49 +0000
-@@ -328,7 +328,7 @@
- #
- libpcap.so: $(OBJ)
- @rm -f $@
-- $(CC) -shared -Wl,-soname,$@.1 -o $@.`cat $(srcdir)/VERSION` $(OBJ) $(DAGLIBS)
-+ $(CC) -shared $(LDFLAGS) -Wl,-soname,$@.1 -o $@.`cat $(srcdir)/VERSION` $(OBJ) $(DAGLIBS)
-
- #
- # The following rule succeeds, but the result is untested.
-
+++ /dev/null
---- libpcap-1.0.0~/Makefile.in 2008-11-08 13:26:54.000000000 +0100
-+++ libpcap-1.0.0/Makefile.in 2008-11-08 13:41:06.000000000 +0100
-@@ -445,6 +445,8 @@
- $(DESTDIR)$(includedir)/pcap-bpf.h
- $(INSTALL_DATA) $(srcdir)/pcap-namedb.h \
- $(DESTDIR)$(includedir)/pcap-namedb.h
-+ [ -d $(DESTDIR)$(bindir)] || \
-+ (mkdir -p $(DESTDIR)$(bindir); chmod 755 $(DESTDIR)$(bindir))
- $(INSTALL_PROGRAM) pcap-config $(DESTDIR)$(bindir)/pcap-config
- for i in $(MAN1); do \
- $(INSTALL_DATA) $(srcdir)/$$i \
+++ /dev/null
-=== modified file 'configure.in'
---- configure.in 2008-11-02 07:39:02 +0000
-+++ configure.in 2008-11-02 07:45:33 +0000
-@@ -218,7 +218,12 @@
- dnl XXX This could be done for cross-compiling, but for now it's not.
- dnl
- if test -z "$with_pcap" && test "$cross_compiling" = yes; then
-- AC_MSG_ERROR(pcap type not determined when cross-compiling; use --with-pcap=...)
-+ if test -z "$with_pcap" ; then
-+ case $host in
-+ *-linux*) with_pcap="linux";;
-+ *) AC_MSG_ERROR(pcap type not determined when cross-compiling; use --with-pcap=...);;
-+ esac
-+ fi
- fi
- AC_ARG_WITH(pcap, [ --with-pcap=TYPE use packet capture TYPE])
- AC_MSG_CHECKING(packet capture type)
-@@ -338,8 +343,10 @@
- linux)
- AC_MSG_CHECKING(Linux kernel version)
- if test "$cross_compiling" = yes; then
-+ dnl we could check linux/version.h here, but who runs
-+ dnl versions of linux older than 2.0.x anymore to bother ?
- AC_CACHE_VAL(ac_cv_linux_vers,
-- ac_cv_linux_vers=unknown)
-+ ac_cv_linux_vers=2)
- else
- AC_CACHE_VAL(ac_cv_linux_vers,
- ac_cv_linux_vers=`uname -r 2>&1 | \
-
+++ /dev/null
-Compile with -fPIC also on FreeBSD (it's needed for amd64-fbsd)
-
---- configure.in.orig
-+++ configure.in
-@@ -959,7 +959,7 @@
- MAN_MISC_INFO=5
- ;;
-
--linux*)
-+linux*|freebsd*)
- V_CCOPT="$V_CCOPT -fPIC"
- ;;
-
+++ /dev/null
-=== modified file 'Makefile.in'
---- Makefile.in 2008-11-02 09:45:33 +0000
-+++ Makefile.in 2008-11-02 10:46:03 +0000
-@@ -445,6 +445,8 @@
- $(DESTDIR)$(includedir)/pcap-bpf.h
- $(INSTALL_DATA) $(srcdir)/pcap-namedb.h \
- $(DESTDIR)$(includedir)/pcap-namedb.h
-+ [ -d $(DESTDIR)$(bindir) ] || \
-+ (mkdir -p $(DESTDIR)$(bindir); chmod 755 $(DESTDIR)$(bindir))
- $(INSTALL_PROGRAM) pcap-config $(DESTDIR)$(bindir)/pcap-config
- for i in $(MAN1); do \
- $(INSTALL_DATA) $(srcdir)/$$i \
-
+++ /dev/null
-=== modified file 'Makefile.in'
---- Makefile.in 2008-11-02 10:49:47 +0000
-+++ Makefile.in 2008-11-04 18:03:48 +0000
-@@ -85,6 +85,8 @@
- GENSRC = scanner.c grammar.c version.c
- LIBOBJS = @LIBOBJS@
-
-+HAVE_LINUX_TPACKET_AUXDATA = @HAVE_LINUX_TPACKET_AUXDATA@
-+
- SRC = $(PSRC) $(FSRC) $(CSRC) $(SSRC) $(GENSRC)
-
- # We would like to say "OBJ = $(SRC:.c=.o)" but Ultrix's make cannot
-@@ -434,6 +436,14 @@
- $(DESTDIR)$(includedir)/pcap/pcap.h
- $(INSTALL_DATA) $(srcdir)/pcap/bpf.h \
- $(DESTDIR)$(includedir)/pcap/bpf.h
-+ if test ! -z "@HAVE_LINUX_TPACKET_AUXDATA@" ; then \
-+ $(INSTALL_DATA) $(srcdir)/pcap/vlan.h \
-+ $(DESTDIR)$(includedir)/pcap/vlan.h ; \
-+ fi
-+ if test ! -z "@BT_SRC@" ; then \
-+ $(INSTALL_DATA) $(srcdir)/pcap/bluetooth.h \
-+ $(DESTDIR)$(includedir)/pcap/bluetooth.h ; \
-+ fi
- $(INSTALL_DATA) $(srcdir)/pcap/namedb.h \
- $(DESTDIR)$(includedir)/pcap/namedb.h
- $(INSTALL_DATA) $(srcdir)/pcap/sll.h \
-
-=== modified file 'aclocal.m4'
---- aclocal.m4 2008-11-02 09:45:33 +0000
-+++ aclocal.m4 2008-11-04 18:05:01 +0000
-@@ -930,6 +930,8 @@
- ac_cv_lbl_linux_tpacket_auxdata_tp_vlan_tci=no))
- AC_MSG_RESULT($ac_cv_lbl_linux_tpacket_auxdata_tp_vlan_tci)
- if test $ac_cv_lbl_linux_tpacket_auxdata_tp_vlan_tci = yes ; then
-+ HAVE_LINUX_TPACKET_AUXDATA=tp_vlan_tci
-+ AC_SUBST(HAVE_LINUX_TPACKET_AUXDATA)
- AC_DEFINE(HAVE_LINUX_TPACKET_AUXDATA_TP_VLAN_TCI,1,[if tp_vlan_tci exists])
- fi])
-
-
+++ /dev/null
-=== modified file 'configure.in'
---- configure.in 2008-11-04 18:26:23 +0000
-+++ configure.in 2008-11-04 18:42:51 +0000
-@@ -185,7 +185,8 @@
-
- dnl to pacify those who hate protochain insn
- AC_MSG_CHECKING(if --disable-protochain option is specified)
--AC_ARG_ENABLE(protochain, [ --disable-protochain disable \"protochain\" insn])
-+AC_ARG_ENABLE(protochain,
-+AS_HELP_STRING([--disable-protochain],[disable \"protochain\" insn]))
- case "x$enable_protochain" in
- xyes) enable_protochain=enabled ;;
- xno) enable_protochain=disabled ;;
-@@ -201,7 +202,8 @@
- # SITA support is mutually exclusive with native capture support;
- # "--with-sita" selects SITA support.
- #
--AC_ARG_WITH(sita, [ --with-sita include SITA support],
-+AC_ARG_WITH(sita,
-+AS_HELP_STRING([--with-sita],[include SITA support]),
- [
- if test ! "x$withval" = "xno" ; then
- AC_DEFINE(SITA,1,[include ACN support])
-@@ -222,7 +224,8 @@
- if test -z "$with_pcap" && test "$cross_compiling" = yes; then
- AC_MSG_ERROR(pcap type not determined when cross-compiling; use --with-pcap=...)
- fi
--AC_ARG_WITH(pcap, [ --with-pcap=TYPE use packet capture TYPE])
-+AC_ARG_WITH(pcap,
-+AS_HELP_STRING([--with-pcap=TYPE],[use packet capture TYPE]))
- AC_MSG_CHECKING(packet capture type)
- if test ! -z "$with_pcap" ; then
- V_PCAP="$withval"
-@@ -503,7 +506,8 @@
- fi
- AC_MSG_RESULT($have_socklen_t)
-
--AC_ARG_ENABLE(ipv6, [ --enable-ipv6 build IPv6-capable version @<:@default=yes, if getaddrinfo available@:>@],
-+AC_ARG_ENABLE(ipv6,
-+AS_HELP_STRING([--enable-ipv6],[build IPv6-capable version @<:@default=yes, if getaddrinfo available@:>@]),
- [],
- [enable_ipv6=ifavailable])
- if test "$enable_ipv6" != "no"; then
-@@ -519,14 +523,16 @@
- fi
-
- AC_MSG_CHECKING(whether to build optimizer debugging code)
--AC_ARG_ENABLE(optimizer-dbg, [ --enable-optimizer-dbg build optimizer debugging code])
-+AC_ARG_ENABLE(optimizer-dbg,
-+AS_HELP_STRING([--enable-optimizer-dbg],[build optimizer debugging code]))
- if test "$enable_optimizer_dbg" = "yes"; then
- AC_DEFINE(BDEBUG,1,[Enable optimizer debugging])
- fi
- AC_MSG_RESULT(${enable_optimizer_dbg-no})
-
- AC_MSG_CHECKING(whether to build parser debugging code)
--AC_ARG_ENABLE(yydebug, [ --enable-yydebug build parser debugging code])
-+AC_ARG_ENABLE(yydebug,
-+AS_HELP_STRING([--enable-yydebug],[build parser debugging code]))
- if test "$enable_yydebug" = "yes"; then
- AC_DEFINE(YYDEBUG,1,[Enable parser debugging])
- fi
-@@ -544,7 +550,8 @@
- AC_MSG_RESULT($ac_cv_lbl_proc_net_dev)
-
- # Check for Endace DAG card support.
--AC_ARG_WITH([dag], [ --with-dag[[=DIR]] include Endace DAG support ("yes", "no" or DIR; default="yes" on BSD and Linux if present)],
-+AC_ARG_WITH([dag],
-+AS_HELP_STRING([--with-dag@<:@=DIR@:>@],[include Endace DAG support @<:@"yes", "no" or DIR; default="yes" on BSD and Linux if present@:>@]),
- [
- if test "$withval" = no
- then
-@@ -566,14 +573,16 @@
- want_dag=ifpresent
- ])
-
--AC_ARG_WITH([dag-includes], [ --with-dag-includes=DIR Endace DAG include directory],
-+AC_ARG_WITH([dag-includes],
-+AS_HELP_STRING([--with-dag-includes=DIR],[Endace DAG include directory]),
- [
- # User wants DAG support and has specified a header directory, so use the provided value.
- want_dag=yes
- dag_include_dir=$withval
- ],[])
-
--AC_ARG_WITH([dag-libraries], [ --with-dag-libraries=DIR Endace DAG library directory],
-+AC_ARG_WITH([dag-libraries],
-+AS_HELP_STRING([--with-dag-libraries=DIR],[Endace DAG library directory]),
- [
- # User wants DAG support and has specified a library directory, so use the provided value.
- want_dag=yes
-@@ -767,7 +776,8 @@
- AC_MSG_RESULT(yes)
- fi
-
--AC_ARG_WITH(septel, [ --with-septel[[=DIR]] include Septel support (located in directory DIR, if supplied). [default=yes, on Linux, if present]],
-+AC_ARG_WITH(septel,
-+AS_HELP_STRING([--with-septel@<:@=DIR@:>@],[include Septel support (located in directory DIR, if supplied). @<:@default=yes, on Linux, if present@:>@]),
- [
- if test "$withval" = no
- then
-@@ -1038,24 +1048,30 @@
- AC_SUBST(PCAP_SUPPORT_USB)
- AC_SUBST(USB_SRC)
-
--dnl check for bluetooth sniffing support
--case "$host_os" in
--linux*)
-- AC_CHECK_HEADER(bluetooth/bluetooth.h,
-- [
-- AC_DEFINE(PCAP_SUPPORT_BT, 1, [target host supports Bluetooth sniffing])
-- BT_SRC=pcap-bt-linux.c
-- AC_MSG_NOTICE(Bluetooth sniffing is supported)
-- ],
-- AC_MSG_NOTICE(Bluetooth sniffing is not supported; install bluez-lib devel to enable it)
-- )
-- ;;
--*)
-- AC_MSG_NOTICE(no Bluetooth sniffing support)
-- ;;
--esac
--AC_SUBST(PCAP_SUPPORT_BT)
--AC_SUBST(BT_SRC)
-+AC_ARG_ENABLE([bluetooth],
-+[AS_HELP_STRING([--enable-bluetooth],[enable bluetooth support @<:@default=yes, if support available@:>@])],
-+,enable_bluetooth=yes)
-+
-+if test "x$enable_bluetooth" != "xno" ; then
-+ dnl check for bluetooth sniffing support
-+ case "$host_os" in
-+ linux*)
-+ AC_CHECK_HEADER(bluetooth/bluetooth.h,
-+ [
-+ AC_DEFINE(PCAP_SUPPORT_BT, 1, [target host supports Bluetooth sniffing])
-+ BT_SRC=pcap-bt-linux.c
-+ AC_MSG_NOTICE(Bluetooth sniffing is supported)
-+ ],
-+ AC_MSG_NOTICE(Bluetooth sniffing is not supported; install bluez-lib devel to enable it)
-+ )
-+ ;;
-+ *)
-+ AC_MSG_NOTICE(no Bluetooth sniffing support)
-+ ;;
-+ esac
-+ AC_SUBST(PCAP_SUPPORT_BT)
-+ AC_SUBST(BT_SRC)
-+fi
-
- AC_PROG_INSTALL
-
-
+++ /dev/null
-diff -ru libpcap-1.0.0~/pcap/pcap.h libpcap-1.0.0/pcap/pcap.h
---- libpcap-1.0.0~/pcap/pcap.h 2008-11-08 13:26:54.000000000 +0100
-+++ libpcap-1.0.0/pcap/pcap.h 2008-11-08 13:27:06.000000000 +0100
-@@ -38,13 +38,13 @@
- #define lib_pcap_pcap_h
-
- #if defined(WIN32)
-- #include <pcap-stdinc.h>
-+#include <pcap-stdinc.h>
- #elif defined(MSDOS)
-- #include <sys/types.h>
-- #include <sys/socket.h> /* u_int, u_char etc. */
-+#include <sys/types.h>
-+#include <sys/socket.h> /* u_int, u_char etc. */
- #else /* UN*X */
-- #include <sys/types.h>
-- #include <sys/time.h>
-+#include <sys/types.h>
-+#include <sys/time.h>
- #endif /* WIN32/MSDOS/UN*X */
-
- #ifndef PCAP_DONT_INCLUDE_PCAP_BPF_H
+++ /dev/null
-http://bugs.gentoo.org/281690
-https://sourceforge.net/tracker/index.php?func=detail&aid=2881185&group_id=53067&atid=469577
-
-the code before AC_PROG_CC isnt terribly important, so ignore it for now so
-that we work with autoconf-2.64+
-
---- libpcap/aclocal.m4
-+++ libpcap/aclocal.m4
-@@ -44,7 +44,7 @@
- dnl
- AC_DEFUN(AC_LBL_C_INIT,
- [AC_PREREQ(2.12)
-- AC_BEFORE([$0], [AC_PROG_CC])
-+ AC_REQUIRE([AC_PROG_CC])
- AC_BEFORE([$0], [AC_LBL_FIXINCLUDES])
- AC_BEFORE([$0], [AC_LBL_DEVEL])
- AC_ARG_WITH(gcc, [ --without-gcc don't use gcc])
+++ /dev/null
-commit e61f27f56bef0f229f0bf02911f76cfcfa12f083
-Author: Peter Volkov <pva@gentoo.org>
-Date: Wed Jul 8 16:06:18 2009 +0400
-
- Add --without-libnl configure switch
-
- Allow build libpcap with libnl disabled even in case libnl is installed
- at system.
-
-diff --git a/configure.in b/configure.in
-index 88a71ef..397a9c7 100644
---- a/configure.in
-+++ b/configure.in
-@@ -437,9 +437,19 @@ linux)
- #
- # Do we have libnl?
- #
-- AC_CHECK_LIB(nl, nl_handle_alloc,
-- LIBS="-lnl $LIBS"
-- AC_DEFINE(HAVE_LIBNL,1,[if libnl exists]),)
-+ AC_ARG_WITH(libnl,
-+ AC_HELP_STRING([--without-libnl],[disable libnl support @<:@default=yes, on Linux, if present@:>@]),
-+ with_libnl=$withval,,)
-+
-+ if test x$with_libnl != xno ; then
-+ AC_CHECK_LIB(nl, nl_handle_alloc,
-+ LIBS="-lnl $LIBS"
-+ AC_DEFINE(HAVE_LIBNL,1,[if libnl exists]),
-+ if test x$with_libnl = xyes ; then
-+ AC_MSG_ERROR([libnl support requested but libnl not found])
-+ fi
-+ )
-+ fi
-
- AC_LBL_TPACKET_STATS
- AC_LBL_LINUX_TPACKET_AUXDATA_TP_VLAN_TCI
+++ /dev/null
-https://bugs.launchpad.net/ubuntu/+source/tcpdump/+bug/369288
-
-Rediffed to apply.
-
-diff -Nuar --exclude '*.orig' --exclude '*.rej' libpcap-1.0.1-20090708.orig/pcap-linux.c libpcap-1.0.1-20090708/pcap-linux.c
---- libpcap-1.0.1-20090708.orig/pcap-linux.c 2009-07-08 11:52:08.000000000 +0000
-+++ libpcap-1.0.1-20090708/pcap-linux.c 2009-08-29 20:47:44.951806355 +0000
-@@ -2785,6 +2785,19 @@
- handle->fd, errno, pcap_strerror(errno));
- return -1;
- }
-+
-+ /* poll() sometimes returns > 0 even in error cases
-+ * and sets error-bits like POLLERR, POLLHUP, ..
-+ * Are also "good" bits are possible, like POLLPRI.
-+ * TODO: what's with POLLRDHUP since kernel 2.6.17?
-+ */
-+ if (ret > 0 && pollinfo.revents & (POLLERR | POLLHUP | POLLNVAL)) {
-+ snprintf(handle->errbuf, PCAP_ERRBUF_SIZE,
-+ "critical revent in poll on packet socket fd %d: 0x%4.4x",
-+ handle->fd, pollinfo.revents);
-+ return -1;
-+ }
-+
- /* check for break loop condition on interrupted syscall*/
- if (handle->break_loop) {
- handle->break_loop = 0;
--- /dev/null
+diff --git a/config.h.in b/config.h.in
+index f988e8f..3b9ce3c 100644
+--- a/config.h.in
++++ b/config.h.in
+@@ -52,6 +52,9 @@
+ /* if libnl exists */
+ #undef HAVE_LIBNL
+
++/* if libnl exists and is version 2.x */
++#undef HAVE_LIBNL_2_x
++
+ /* Define to 1 if you have the <limits.h> header file. */
+ #undef HAVE_LIMITS_H
+
+diff --git a/configure b/configure
+index c99c1ab..7338dee 100755
+--- a/configure
++++ b/configure
+@@ -7340,7 +7340,93 @@ fi
+
+
+ if test x$with_libnl != xno ; then
+- { echo "$as_me:$LINENO: checking for nl_handle_alloc in -lnl" >&5
++ #
++ # Try libnl 2.x first.
++ #
++ { echo "$as_me:$LINENO: checking for nl_socket_alloc in -lnl" >&5
++echo $ECHO_N "checking for nl_socket_alloc in -lnl... $ECHO_C" >&6; }
++if test "${ac_cv_lib_nl_nl_socket_alloc+set}" = set; then
++ echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++ ac_check_lib_save_LIBS=$LIBS
++LIBS="-lnl $LIBS"
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++
++/* Override any GCC internal prototype to avoid an error.
++ Use char because int might match the return type of a GCC
++ builtin and then its argument prototype would still apply. */
++#ifdef __cplusplus
++extern "C"
++#endif
++char nl_socket_alloc ();
++int
++main ()
++{
++return nl_socket_alloc ();
++ ;
++ return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++ *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++ (eval "$ac_link") 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest$ac_exeext &&
++ $as_test_x conftest$ac_exeext; then
++ ac_cv_lib_nl_nl_socket_alloc=yes
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ ac_cv_lib_nl_nl_socket_alloc=no
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++ conftest$ac_exeext conftest.$ac_ext
++LIBS=$ac_check_lib_save_LIBS
++fi
++{ echo "$as_me:$LINENO: result: $ac_cv_lib_nl_nl_socket_alloc" >&5
++echo "${ECHO_T}$ac_cv_lib_nl_nl_socket_alloc" >&6; }
++if test $ac_cv_lib_nl_nl_socket_alloc = yes; then
++
++ #
++ # Yes, we have libnl 2.x.
++ #
++ LIBS="-lnl-genl -lnl $LIBS"
++
++cat >>confdefs.h <<\_ACEOF
++#define HAVE_LIBNL 1
++_ACEOF
++
++
++cat >>confdefs.h <<\_ACEOF
++#define HAVE_LIBNL_2_x 1
++_ACEOF
++
++
++else
++
++ #
++ # No, we don't; do we have libnl 1.x?
++ #
++ { echo "$as_me:$LINENO: checking for nl_handle_alloc in -lnl" >&5
+ echo $ECHO_N "checking for nl_handle_alloc in -lnl... $ECHO_C" >&6; }
+ if test "${ac_cv_lib_nl_nl_handle_alloc+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+@@ -7402,18 +7488,30 @@ fi
+ { echo "$as_me:$LINENO: result: $ac_cv_lib_nl_nl_handle_alloc" >&5
+ echo "${ECHO_T}$ac_cv_lib_nl_nl_handle_alloc" >&6; }
+ if test $ac_cv_lib_nl_nl_handle_alloc = yes; then
+- LIBS="-lnl $LIBS"
++
++ #
++ # Yes.
++ #
++ LIBS="-lnl $LIBS"
+
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_LIBNL 1
+ _ACEOF
+
++
+ else
+- if test x$with_libnl = xyes ; then
+- { { echo "$as_me:$LINENO: error: libnl support requested but libnl not found" >&5
++
++ #
++ # No, we don't have libnl at all.
++ #
++ if test x$with_libnl = xyes ; then
++ { { echo "$as_me:$LINENO: error: libnl support requested but libnl not found" >&5
+ echo "$as_me: error: libnl support requested but libnl not found" >&2;}
+ { (exit 1); exit 1; }; }
+- fi
++ fi
++
++fi
++
+
+ fi
+
+diff --git a/configure.in b/configure.in
+index 16eadf9..ef801ed 100644
+--- a/configure.in
++++ b/configure.in
+@@ -445,13 +445,39 @@ linux)
+ with_libnl=$withval,,)
+
+ if test x$with_libnl != xno ; then
+- AC_CHECK_LIB(nl, nl_handle_alloc,
+- LIBS="-lnl $LIBS"
+- AC_DEFINE(HAVE_LIBNL,1,[if libnl exists]),
+- if test x$with_libnl = xyes ; then
+- AC_MSG_ERROR([libnl support requested but libnl not found])
+- fi
+- )
++ #
++ # Try libnl 2.x first.
++ #
++ AC_CHECK_LIB(nl, nl_socket_alloc,
++ [
++ #
++ # Yes, we have libnl 2.x.
++ #
++ LIBS="-lnl-genl -lnl $LIBS"
++ AC_DEFINE(HAVE_LIBNL,1,[if libnl exists])
++ AC_DEFINE(HAVE_LIBNL_2_x,1,[if libnl exists and is version 2.x])
++ ],
++ [
++ #
++ # No, we don't; do we have libnl 1.x?
++ #
++ AC_CHECK_LIB(nl, nl_handle_alloc,
++ [
++ #
++ # Yes.
++ #
++ LIBS="-lnl $LIBS"
++ AC_DEFINE(HAVE_LIBNL,1,[if libnl exists])
++ ],
++ [
++ #
++ # No, we don't have libnl at all.
++ #
++ if test x$with_libnl = xyes ; then
++ AC_MSG_ERROR([libnl support requested but libnl not found])
++ fi
++ ])
++ ])
+ fi
+
+ AC_LBL_TPACKET_STATS
+diff --git a/pcap-linux.c b/pcap-linux.c
+index f8b3f10..deabbc4 100644
+--- a/pcap-linux.c
++++ b/pcap-linux.c
+@@ -527,8 +527,37 @@ get_mac80211_phydev(pcap_t *handle, const char *device, char *phydev_path,
+ return 1;
+ }
+
++#ifndef HAVE_LIBNL_2_x
++/* libnl 2.x compatibility code */
++
++#define nl_sock nl_handle
++
++static inline struct nl_handle *
++nl_socket_alloc(void)
++{
++ return nl_handle_alloc();
++}
++
++static inline void
++nl_socket_free(struct nl_handle *h)
++{
++ nl_handle_destroy(h);
++}
++
++static inline int
++__genl_ctrl_alloc_cache(struct nl_handle *h, struct nl_cache **cache)
++{
++ struct nl_cache *tmp = genl_ctrl_alloc_cache(h);
++ if (!tmp)
++ return -ENOMEM;
++ *cache = tmp;
++ return 0;
++}
++#define genl_ctrl_alloc_cache __genl_ctrl_alloc_cache
++#endif /* !HAVE_LIBNL_2_x */
++
+ struct nl80211_state {
+- struct nl_handle *nl_handle;
++ struct nl_sock *nl_sock;
+ struct nl_cache *nl_cache;
+ struct genl_family *nl80211;
+ };
+@@ -536,23 +565,26 @@ struct nl80211_state {
+ static int
+ nl80211_init(pcap_t *handle, struct nl80211_state *state, const char *device)
+ {
+- state->nl_handle = nl_handle_alloc();
+- if (!state->nl_handle) {
++ int err;
++
++ state->nl_sock = nl_socket_alloc();
++ if (!state->nl_sock) {
+ snprintf(handle->errbuf, PCAP_ERRBUF_SIZE,
+ "%s: failed to allocate netlink handle", device);
+ return PCAP_ERROR;
+ }
+
+- if (genl_connect(state->nl_handle)) {
++ if (genl_connect(state->nl_sock)) {
+ snprintf(handle->errbuf, PCAP_ERRBUF_SIZE,
+ "%s: failed to connect to generic netlink", device);
+ goto out_handle_destroy;
+ }
+
+- state->nl_cache = genl_ctrl_alloc_cache(state->nl_handle);
+- if (!state->nl_cache) {
++ err = genl_ctrl_alloc_cache(state->nl_sock, &state->nl_cache);
++ if (err < 0) {
+ snprintf(handle->errbuf, PCAP_ERRBUF_SIZE,
+- "%s: failed to allocate generic netlink cache", device);
++ "%s: failed to allocate generic netlink cache: %s",
++ device, strerror(-err));
+ goto out_handle_destroy;
+ }
+
+@@ -568,7 +600,7 @@ nl80211_init(pcap_t *handle, struct nl80211_state *state, const char *device)
+ out_cache_free:
+ nl_cache_free(state->nl_cache);
+ out_handle_destroy:
+- nl_handle_destroy(state->nl_handle);
++ nl_socket_free(state->nl_sock);
+ return PCAP_ERROR;
+ }
+
+@@ -577,7 +609,7 @@ nl80211_cleanup(struct nl80211_state *state)
+ {
+ genl_family_put(state->nl80211);
+ nl_cache_free(state->nl_cache);
+- nl_handle_destroy(state->nl_handle);
++ nl_socket_free(state->nl_sock);
+ }
+
+ static int
+@@ -605,7 +637,7 @@ add_mon_if(pcap_t *handle, int sock_fd, struct nl80211_state *state,
+ NLA_PUT_STRING(msg, NL80211_ATTR_IFNAME, mondevice);
+ NLA_PUT_U32(msg, NL80211_ATTR_IFTYPE, NL80211_IFTYPE_MONITOR);
+
+- err = nl_send_auto_complete(state->nl_handle, msg);
++ err = nl_send_auto_complete(state->nl_sock, msg);
+ if (err < 0) {
+ if (err == -ENFILE) {
+ /*
+@@ -626,7 +658,7 @@ add_mon_if(pcap_t *handle, int sock_fd, struct nl80211_state *state,
+ return PCAP_ERROR;
+ }
+ }
+- err = nl_wait_for_ack(state->nl_handle);
++ err = nl_wait_for_ack(state->nl_sock);
+ if (err < 0) {
+ if (err == -ENFILE) {
+ /*
+@@ -685,7 +717,7 @@ del_mon_if(pcap_t *handle, int sock_fd, struct nl80211_state *state,
+ 0, NL80211_CMD_DEL_INTERFACE, 0);
+ NLA_PUT_U32(msg, NL80211_ATTR_IFINDEX, ifindex);
+
+- err = nl_send_auto_complete(state->nl_handle, msg);
++ err = nl_send_auto_complete(state->nl_sock, msg);
+ if (err < 0) {
+ if (err == -ENFILE) {
+ /*
+@@ -706,7 +738,7 @@ del_mon_if(pcap_t *handle, int sock_fd, struct nl80211_state *state,
+ return PCAP_ERROR;
+ }
+ }
+- err = nl_wait_for_ack(state->nl_handle);
++ err = nl_wait_for_ack(state->nl_sock);
+ if (err < 0) {
+ if (err == -ENFILE) {
+ /*
+++ /dev/null
-diff -ru libpcap-0.9.5~/configure.in libpcap-0.9.5/configure.in
---- libpcap-0.9.5~/configure.in 2007-05-05 12:43:21.000000000 +0200
-+++ libpcap-0.9.5/configure.in 2007-05-05 12:43:41.000000000 +0200
-@@ -178,7 +178,10 @@
- dnl XXX This could be done for cross-compiling, but for now it's not.
- dnl
- if test -z "$with_pcap" && test "$cross_compiling" = yes; then
-- AC_MSG_ERROR(pcap type not determined when cross-compiling; use --with-pcap=...)
-+ case $host in
-+ *-linux*) with_pcap="linux";;
-+ *) AC_MSG_ERROR(pcap type not determined when cross-compiling; use --with-pcap=...);;
-+ esac
- fi
- AC_ARG_WITH(pcap, [ --with-pcap=TYPE use packet capture TYPE])
- AC_MSG_CHECKING(packet capture type)
-@@ -347,8 +350,10 @@
- linux)
- AC_MSG_CHECKING(Linux kernel version)
- if test "$cross_compiling" = yes; then
-+ dnl we could check linux/version.h here, but who runs
-+ dnl versions of linux older than 2.0.x anymore to bother ?
- AC_CACHE_VAL(ac_cv_linux_vers,
-- ac_cv_linux_vers=unknown)
-+ ac_cv_linux_vers=2)
- else
- AC_CACHE_VAL(ac_cv_linux_vers,
- ac_cv_linux_vers=`uname -r 2>&1 | \
+++ /dev/null
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/libpcap/libpcap-0.9.8-r2.ebuild,v 1.9 2011/04/02 12:57:21 ssuominen Exp $
-
-inherit autotools eutils multilib toolchain-funcs
-
-DESCRIPTION="A system-independent library for user-level network packet capture"
-HOMEPAGE="http://www.tcpdump.org/"
-SRC_URI="http://www.tcpdump.org/release/${P}.tar.gz
- http://www.jp.tcpdump.org/release/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc ~sparc-fbsd x86 ~x86-fbsd"
-IUSE="ipv6"
-
-RDEPEND=""
-DEPEND="${RDEPEND}
- sys-devel/flex"
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
- epatch "${FILESDIR}"/${PN}-0.9.3-whitespace.diff
- epatch "${FILESDIR}"/${PN}-0.8.1-fPIC.patch
- epatch "${FILESDIR}"/${PN}-cross-linux.patch
- epatch "${FILESDIR}"/${P}-largefile.patch
- epatch "${FILESDIR}"/${P}-arptype-65534.patch
- epatch "${FILESDIR}"/${P}-pcap_compile.patch
- eautoreconf
-}
-
-src_compile() {
- econf $(use_enable ipv6)
- emake || die "compile problem"
-
- # no provision for this in the Makefile, so...
- $(tc-getCC) ${LDFLAGS} -Wl,-soname,libpcap.so.0 -shared -fPIC -o libpcap.so.${PV:0:3} *.o \
- || die "couldn't make a shared lib"
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die "emake install failed"
-
- # We need this to build pppd on G/FBSD systems
- if [[ "${USERLAND}" == "BSD" ]]; then
- insinto /usr/include
- doins pcap-int.h || die "failed to install pcap-int.h"
- fi
-
- insopts -m 755
- insinto /usr/$(get_libdir)
- doins libpcap.so.${PV:0:3}
- dosym libpcap.so.${PV:0:3} /usr/$(get_libdir)/libpcap.so.0
- dosym libpcap.so.${PV:0:3} /usr/$(get_libdir)/libpcap.so
-
- # We are not installing README.{Win32,aix,hpux,tru64} (bug 183057)
- dodoc CREDITS CHANGES FILES VERSION TODO README{,.dag,.linux,.macosx,.septel}
-}
+++ /dev/null
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/libpcap/libpcap-1.0.0-r2.ebuild,v 1.11 2011/04/02 12:57:21 ssuominen Exp $
-
-inherit autotools eutils multilib toolchain-funcs
-
-DESCRIPTION="A system-independent library for user-level network packet capture"
-HOMEPAGE="http://www.tcpdump.org/"
-SRC_URI="http://www.tcpdump.org/release/${P}.tar.gz
- http://www.jp.tcpdump.org/release/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
-IUSE="ipv6 bluetooth"
-
-RDEPEND="bluetooth? ( net-wireless/bluez )"
-DEPEND="${RDEPEND}
- sys-devel/flex"
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
- epatch "${FILESDIR}/${P}-cross-linux.patch"
- epatch "${FILESDIR}/${P}-install-bindir.patch"
- epatch "${FILESDIR}/${P}-install-headers.patch"
- epatch "${FILESDIR}/${P}-optional-bluetooth.patch"
- epatch "${FILESDIR}/${P}-LDFLAGS.patch"
- epatch "${FILESDIR}/${P}-freebsd-pic.patch"
- eautoreconf
-}
-
-src_compile() {
- econf $(use_enable ipv6) \
- $(use_enable bluetooth)
- emake all shared || die "compile problem"
-}
-
-src_install() {
- emake DESTDIR="${D}" install install-shared || die "emake install failed"
-
- dosym libpcap.so.${PV:0:5} /usr/$(get_libdir)/libpcap.so.1
- dosym libpcap.so.${PV:0:5} /usr/$(get_libdir)/libpcap.so
-
- # We need this to build pppd on G/FBSD systems
- if [[ "${USERLAND}" == "BSD" ]]; then
- insinto /usr/include
- doins pcap-int.h || die "failed to install pcap-int.h"
- fi
-
- # We are not installing README.{Win32,aix,hpux,tru64} (bug 183057)
- dodoc CREDITS CHANGES VERSION TODO README{,.dag,.linux,.macosx,.septel}
-}
+++ /dev/null
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/libpcap/libpcap-1.0.1_pre20090812.ebuild,v 1.6 2011/04/02 12:57:21 ssuominen Exp $
-
-EAPI=2
-inherit autotools eutils multilib toolchain-funcs
-
-DESCRIPTION="A system-independent library for user-level network packet capture"
-HOMEPAGE="http://www.tcpdump.org/"
-MY_P=${PN}-${PV/_pre/-}
-SRC_URI="mirror://gentoo/${MY_P}.tar.gz"
-S=${WORKDIR}/${MY_P}
-# SRC_URI="http://www.tcpdump.org/release/${P}.tar.gz
-# http://www.jp.tcpdump.org/release/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
-IUSE="bluetooth ipv6 libnl"
-
-RDEPEND="bluetooth? ( net-wireless/bluez )
- libnl? ( dev-libs/libnl )"
-DEPEND="${RDEPEND}
- sys-devel/flex"
-
-src_prepare() {
- epatch "${FILESDIR}/${PN}-1.0.0-cross-linux.patch"
- epatch "${FILESDIR}/${PN}-1.0.1_pre20090812-poll-cpu-usage.patch"
- epatch "${FILESDIR}"/${PN}-1.0.1-autoconf.patch #281690
- echo ${PV} > VERSION # Avoid CVS in version
- eautoreconf
-}
-
-src_configure() {
- econf $(use_enable ipv6) \
- $(use_with libnl) \
- $(use_enable bluetooth)
-}
-
-src_compile() {
- emake all shared || die "compile problem"
-}
-
-src_install() {
- emake DESTDIR="${D}" install install-shared || die "emake install failed"
-
- dosym libpcap$(get_libname ${PV}) /usr/$(get_libdir)/libpcap$(get_libname 1)
- dosym libpcap$(get_libname ${PV}) /usr/$(get_libdir)/libpcap$(get_libname)
-
- # We need this to build pppd on G/FBSD systems
- if [[ "${USERLAND}" == "BSD" ]]; then
- insinto /usr/include
- doins pcap-int.h || die "failed to install pcap-int.h"
- fi
-
- # We are not installing README.{Win32,aix,hpux,tru64} (bug 183057)
- dodoc CREDITS CHANGES VERSION TODO README{,.dag,.linux,.macosx,.septel} || die
-}
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/libpcap/libpcap-1.1.1-r1.ebuild,v 1.4 2011/08/11 02:35:58 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-libs/libpcap/libpcap-1.1.1-r1.ebuild,v 1.5 2011/09/10 08:26:04 scarabeus Exp $
-EAPI=2
+EAPI=4
inherit autotools eutils multilib toolchain-funcs
DESCRIPTION="A system-independent library for user-level network packet capture"
sys-devel/flex
virtual/yacc"
+DOCS=( CREDITS CHANGES VERSION TODO README{,.dag,.linux,.macosx,.septel} )
+
src_prepare() {
- epatch "${FILESDIR}/${PN}-1.1-cross-linux.patch"
- epatch "${FILESDIR}/${P}-ignore-ENODEV.patch"
- # Force usbmon device to avoid #318359
- sed 's:\(ac_usb_dev_name=\).*udevinfo.*:\1"usbmon":' -i configure.in || die
+ epatch \
+ "${FILESDIR}/${PN}-1.1-cross-linux.patch" \
+ "${FILESDIR}/${P}-ignore-ENODEV.patch" \
+ "${FILESDIR}/${P}-libidn2.patch"
+
eautoreconf
}
src_configure() {
- econf $(use_enable ipv6) \
+ econf \
+ $(use_enable ipv6) \
$(use_with libnl) \
$(use_enable bluetooth)
}
src_compile() {
- emake all shared || die "compile problem"
+ emake all shared
}
src_install() {
- emake DESTDIR="${D}" install || die "emake install failed"
+ default
+
+ # remove static libraries (--disable-static does not work)
+ find "${ED}" -name '*.a' -exec rm -f {} +
# We need this to build pppd on G/FBSD systems
if [[ "${USERLAND}" == "BSD" ]]; then
insinto /usr/include
- doins pcap-int.h || die "failed to install pcap-int.h"
+ doins pcap-int.h
fi
-
- # We are not installing README.{Win32,aix,hpux,tru64} (bug 183057)
- dodoc CREDITS CHANGES VERSION TODO README{,.dag,.linux,.macosx,.septel} || die
}